[
{
    blockid=address;
    help=service_smtp_address_address;
    custom="com.netscape.management.msgserv.ServiceMTARoutingControl";
    localvar={
	.rewritestyle.text="\u300c\u6536\u4ef6\u8005\u300d\u4f4d\u5740\u91cd\u65b0\u5beb\u5165\u6a23\u5f0f\uff1a";
	.rewritestyle.labels=["\"john doe\"<jdoe@example.com>","jdoe@example.com (John Doe)","jdoe@example.com","\u6c38\u4e0d\u91cd\u65b0\u5beb\u5165\u4f4d\u5740"];	.rewrite.text="\u4f9d\u64da\u6536\u4ef6\u8005\u7684 LDAP \u689d\u76ee\u4e2d\u7684\u5c6c\u6027\u91cd\u65b0\u5beb\u5165 SMTP \u4fe1\u5c01\u4f4d\u5740\uff1a";
	.rewrite.1.text="\u4f7f\u7528 mailRoutingAddress \u5c6c\u6027";
	.rewrite.2.text="\u5c07 uid \u8207 MailHost \u5c6c\u6027\u5408\u4f75";
	.rewrite.4.text="\u5c07\u6b64\u4f4d\u5740\u7684\u672c\u6a5f\u90e8\u5206\u8207 mailHost \u5c6c\u6027\u5408\u4f75";
	.fallback.text="\u5982\u679c\u4f3a\u670d\u5668\u7121\u6cd5\u627e\u5230\u5305\u542b\u7d66\u5b9a\u90f5\u4ef6\u4f4d\u5740\u7684 LDAP \u689d\u76ee\uff0c\u8acb\u4f7f\u7528\u9078\u53d6\u7684\u65b9\u6cd5\u518d\u6b21\u641c\u5c0b\uff1a";
	.fallback.1.text="\u641c\u5c0b\u81ea\u8a02\u7db2\u57df";
	.fallback.2.text="\u4f7f\u7528\u622a\u65b7\u7684\u7db2\u57df\u641c\u5c0b (\u5982\u679c\u70ba\u672c\u6a5f\u641c\u5c0b\uff0c\u5247\u6368\u68c4\u4e3b\u6a5f\u90e8\u5206)";
	.fallback.4.text="\u900f\u904e\u4f7f\u7528\u8005 ID (uid) \u641c\u5c0b";
	.routing.header="SMTP \u8def\u7531\u8868\uff1a";
	.delimiter="$";
	.addentry.title="SMTP \u8def\u7531\u9805\u76ee";
	.editentry.title="SMTP \u8def\u7531\u9805\u76ee";
    };
    content=[
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=label;
	    id=rewritelabel;
	    text=$.rewrite.text;
	    wrap=$g.label.size5;
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=rigid;
		    dimension=[12,1];
		},
		{
		    ctrl=pane;
		    layout=[ybox];
		    content=[
			{
			    ctrl=togglepane;
			    id=rewrite0;
			    label=rewritelabel;
			    text=$.rewrite.1.text;
			},
			{
			    ctrl=togglepane;
			    id=rewrite1;
			    label=rewritelabel;
			    text=$.rewrite.2.text;
			},
			{
			    ctrl=togglepane;
			    id=rewrite2;
			    label=rewritelabel;
			    text=$.rewrite.4.text;
			}
		    ]
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=separator;
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=label;
		    id=stylelabel;
		    text=$.rewritestyle.text;
		    wrap=$g.label.size2;
		    aligny=0.5;
		},
		{
		    ctrl=rigid;
		},
		{
		    ctrl=choice;
		    label=stylelabel;
		    labels=$.rewritestyle.labels;
		    items=[quoted,comment,qualify,never];
		    aligny=0.5;
		    val=$service.smtp.smtp-router.smtprewritestyle.value;
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=separator;
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=label;
	    id=fallbacklabel;
	    text=$.fallback.text;
	    wrap=$g.label.size5;
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=proxy;
		    label=fallbacklabel;
		    val=$service.smtp.smtp-router.fallbacksearchmethod.value;
		},
		{
		    ctrl=rigid;
		    dimension=[12,1];
		},
		{
		    ctrl=pane;
		    layout=[ybox];
		    content=[
			{
			    ctrl=togglepane;
			    id=fallback0;
			    text=$.fallback.1.text;
			    label=fallbacklabel;
			},
			{
			    ctrl=togglepane;
			    id=fallback1;
			    text=$.fallback.2.text;
			    label=fallbacklabel;
			},
			{
			    ctrl=togglepane;
			    id=fallback2;
			    text=$.fallback.4.text;
			    text="\u900f\u904e\u4f7f\u7528\u8005 ID (uid) \u641c\u5c0b";
			    label=fallbacklabel;
			}
		    ]
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=separator;
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=table;
	    id=stdtable;
	    stdtable=true;
	    addui=routedialog;
           addtext=$g.addbutton.text;
           edittext=$g.editbutton.text;
           deltext=$g.deletebutton.text;
	    addtitle=$.addentry.title;
	    editui=routedialog;
	    edittitle=$.editentry.title;
	    val=$service.smtp.smtp-router.hostrewrites.value;
	    label=routinglabel;
	    showedit=true;
	    buttonsat=east;
	    delimiter=$.delimiter;
	    visiblerows=5;
	    columns=[
		{
		    header=$.routing.header;
		    varname=routeentry;
		}
	    ]
	}
    ]
},
{
    blockid=routedialog;
    help=service_smtp_address_routedialog;
    localvar={
	.route.help="\u8def\u7531\u8868\u9805\u76ee\uff1a";
	.example.entry="abc.com:host.xyz.com";
    };
    content=[
	{
	    ctrl=label;
	    id=routelabel;
	    wrap=$g.label.size3;
	    text=$.route.help;
	},
	{
	    ctrl=text;
	    label=routelabel;
	    val=$routeentry;
	    focus=true;
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    border=$g.example.border;
	    layout=[ybox];
	    content=[
		{
		    ctrl=label;
		    text=$.example.entry;
		    wrap=$g.label.size3;
		}
	    ]
	}
    ]
}
]

